Name:           maven-changelog-plugin
Version:        2.2
Release:        %mkrel 12
Summary:        Produce SCM changelog reports

Group:          Development/Java
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-changelog-plugin/
#svn export http://svn.apache.org/repos/asf/maven/plugins/tags/maven-changelog-plugin-2.2/
#tar jcf maven-changelog-plugin-2.2.tar.bz2 maven-changelog-plugin-2.2/
Source0:        %{name}-%{version}.tar.bz2
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt
Patch0:         pom.patch
Patch1:         ChangeLog.java.patch

BuildArch: noarch

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: jpackage-utils
BuildRequires: maven-local
BuildRequires: maven-plugin-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-resources-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-site-plugin
BuildRequires: maven-doxia-sink-api
BuildRequires: maven-scm
BuildRequires: plexus-utils
BuildRequires: junit
BuildRequires: maven-plugin-testing-harness
BuildRequires: plexus-containers-container-default

Requires:       maven
Requires:       java
Requires:       jpackage-utils
Requires:       plexus-utils
Requires:       plexus-containers-container-default

Obsoletes: maven2-plugin-changelog <= 0:2.0.8
Provides: maven2-plugin-changelog = 1:%{version}-%{release}

%description
The Maven Changelog Plugin generates reports regarding the recent changes 
in your Software Configuration Management or SCM. These reports include 
the changelog report, developer activity report and the file activity report.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.


%prep
%setup -q 
%patch0 -p0
%patch1 -p2
cp -p %{SOURCE1} .

%build
mvn-rpmbuild \
        -Dmaven.test.skip=true \
        install javadoc:javadoc

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar   %{buildroot}%{_javadir}/%{name}.jar


# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

%add_maven_depmap JPP-%{name}.pom %{name}.jar

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/

%files
%doc LICENSE-2.0.txt
%{_javadir}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%doc LICENSE-2.0.txt
%{_javadocdir}/%{name}


%changelog
* Sun Sep 29 2013 dmorgan <dmorgan> 2.2-12.mga4
+ Revision: 488700
- Remove unneeded R: plexus-container-default

* Thu Sep 26 2013 dmorgan <dmorgan> 2.2-11.mga4
+ Revision: 487255
- Migrate from maven-doxia to doxia subpackages (Resolves: #909226)

* Tue Feb 19 2013 dmorgan <dmorgan> 2.2-10.mga3
+ Revision: 399421
- Clean spec file

* Sat Jan 12 2013 umeabot <umeabot> 2.2-9.mga3
+ Revision: 359583
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 09 2012 dmorgan <dmorgan> 2.2-8.mga3
+ Revision: 269038
- Added patch0 pom.patch to remove unused cvsjava plugin
  and patch1 ChangeLog.java.patch which is fixing invalid character uncompileable by JDK7
- Added build requires maven-site-plugin to fix one maven warning

* Fri Jul 22 2011 dmorgan <dmorgan> 2.2-7.mga2
+ Revision: 127945
- Build with maven 3.x

* Thu Apr 28 2011 dmorgan <dmorgan> 2.2-7.mga1
+ Revision: 92690
- Rebuild after bootstrapping
- imported package maven-changelog-plugin


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Sep 09 2010 Hui Wang <huwang@redhat.com> - 2.2-5
- Add missing BR netbeans-cvsclient

* Tue Jul 13 2010 Hui Wang <huwang@redhat.com> - 2.2-4
- Add missing requires

* Wed Jun 02 2010 Hui Wang <huwang@redhat.com> - 2.2-3
- Added epoch 1 to provides

* Tue Jun 01 2010 Hui Wang <huwang@redhat.com> - 2.2-2
- Change BR maven2-plugin-plugin to maven2-plugin-plugin
- Fix incoherent version in changelog
- Fix summary and description
- Add provides/obsoletes
- Add missing requires

* Mon May 31 2010 Hui Wang <huwang@redhat.com> - 2.2-1
- Initial version of the package
